new ScriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Elimination";
	title = "Initial Time (seconds)";
	defaultValue = 120;
	permissionLevel = $Slayer::PermissionLevel["Any"];
	variable = "%mini.eliminationInitialTime";
	type = "int";
	int_minValue = 1;
	int_maxValue = 999999;
	guiTag = "rules Slayer_Elimination mode";
};

new ScriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Elimination";
	title = "Base Time Increment (seconds)";
	defaultValue = -5;
	permissionLevel = $Slayer::PermissionLevel["Any"];
	variable = "%mini.eliminationIncrementTime";
	type = "int";
	int_minValue = -999999;
	int_maxValue = 999999;
	guiTag = "rules Slayer_Elimination mode";
};

new ScriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Elimination";
	title = "Time Increment Scaling";
	defaultValue = 0;
	permissionLevel = $Slayer::PermissionLevel["Any"];
	variable = "%mini.eliminationIncrementScale";
	type = "slide";
	slide_minValue = -50;
	slide_maxValue = 50;
	slide_numTicks = 99;
	slide_snapToTicks = true;
	guiTag = "rules Slayer_Elimination mode";
};

new ScriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Elimination";
	title = "Minimum Checkpoint Time";
	defaultValue = 5;
	permissionLevel = $Slayer::PermissionLevel["Any"];
	variable = "%mini.eliminationMinTime";
	type = "int";
	int_minValue = 0;
	int_maxValue = 999999;
	guiTag = "advanced";
};